From c28064134437103278cb0fd5b1c4c2b37e2416f2 Mon Sep 17 00:00:00 2001
From: Bogdan Mart <mart.bogan@gmail.com>
Date: Mon, 9 Oct 2023 17:56:04 +0300
Subject: [PATCH 1/2] fix documentation style

---
 src/backend/access/index/amapi.c | 2 +-
 src/include/access/amapi.h       | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/backend/access/index/amapi.c b/src/backend/access/index/amapi.c
index 8b02cdbe82..1ef6ac129d 100644
--- a/src/backend/access/index/amapi.c
+++ b/src/backend/access/index/amapi.c
@@ -21,7 +21,7 @@
 #include "utils/syscache.h"
 
 
-/*
+/**
  * GetIndexAmRoutine - call the specified access method handler routine to get
  * its IndexAmRoutine struct, which will be palloc'd in the caller's context.
  *
diff --git a/src/include/access/amapi.h b/src/include/access/amapi.h
index 4476ff7fba..c283e1bdf0 100644
--- a/src/include/access/amapi.h
+++ b/src/include/access/amapi.h
@@ -207,12 +207,12 @@ typedef struct IndexAmRoutine
 {
 	NodeTag		type;
 
-	/*
+	/**
 	 * Total number of strategies (operators) by which we can traverse/search
 	 * this AM.  Zero if AM does not have a fixed set of strategy assignments.
 	 */
 	uint16		amstrategies;
-	/* total number of support functions that this AM uses */
+	/** total number of support functions that this AM uses */
 	uint16		amsupport;
 	/* opclass options support function number or 0 */
 	uint16		amoptsprocnum;
@@ -266,7 +266,7 @@ typedef struct IndexAmRoutine
 	amcanreturn_function amcanreturn;	/* can be NULL */
 	amcostestimate_function amcostestimate;
 	amoptions_function amoptions;
-	amproperty_function amproperty; /* can be NULL */
+	amproperty_function amproperty; /**< can be NULL */
 	ambuildphasename_function ambuildphasename; /* can be NULL */
 	amvalidate_function amvalidate;
 	amadjustmembers_function amadjustmembers;	/* can be NULL */
-- 
2.42.0

